import { Signer } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import { ContractFactory, Overrides } from "@ethersproject/contracts";
import { PrivateIssuer } from "./PrivateIssuer";
export declare class PrivateIssuerFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides): Promise<PrivateIssuer>;
    getDeployTransaction(overrides?: Overrides): TransactionRequest;
    attach(address: string): PrivateIssuer;
    connect(signer: Signer): PrivateIssuerFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): PrivateIssuer;
}
