import { Signer } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import { ContractFactory, Overrides } from "@ethersproject/contracts";
import { Registry } from "./Registry";
export declare class RegistryFactory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(_uri: string, overrides?: Overrides): Promise<Registry>;
    getDeployTransaction(_uri: string, overrides?: Overrides): TransactionRequest;
    attach(address: string): Registry;
    connect(signer: Signer): RegistryFactory;
    static connect(address: string, signerOrProvider: Signer | Provider): Registry;
}
